<%- widgetStart %>
<section class="anoxinon-search">
  <form method="post" action="<%= formAction %>" class="anoxinon-search-box">
    <input type="text" name="q" value="<%= term %>" placeholder="<%= placeholderTerm %>" list="terms" <% if (term === '') { %>autofocus<% } %>>
    <datalist id="terms">
      <% searchSuggestions.forEach((suggestion) => {
        %><option value="<%= suggestion %>"><%
      }) %>
    </datalist>
    <button type="submit">
      <i class="fa fa-search" aria-hidden="true"></i>
    </button>
  </form>
  <% if (errorMessage) {
    %><div class="anoxinon-search-error"><%= errorMessage %></div><%
  } %>
  <div class="anoxinon-search-content">
    <% results.forEach((result) => { %>
      <a class="anoxinon-search-content-box" href="<%= result.url %>" target="_blank">
        <span class="url"><%= result.url %></span>
        <h2><% result.title.forEach((part) => {
          if (part.highlight) {%><b><%}
          %><%= part.text %><%
          if (part.highlight) {%></b><%}
        }) %></h2>
        <p><% result.text.forEach((part) => {
          if (part.highlight) {%><b><%}
          %><%= part.text %><%
          if (part.highlight) {%></b><%}
        }) %></p>
      </a>
    <% }) %>
  </div>
</section>
<%- widgetEnd %>
